- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QGraphicsGridLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qgraphicsgridlayout.h.

`#include <qgraphicsgridlayout.h>`

Inheritance diagram for QGraphicsGridLayout:
[legend]

List of all members.

## Public Member Functions
| QGraphicsGridLayout (QGraphicsLayoutItem *parent=0)
virtual | ~QGraphicsGridLayout ()
void | addItem (QGraphicsLayoutItem *item, int row, int column, int rowSpan, int columnSpan, Qt::Alignment alignment=0)
void | addItem (QGraphicsLayoutItem *item, int row, int column, Qt::Alignment alignment=0)
void | setHorizontalSpacing (qreal spacing)
qreal | horizontalSpacing () const
void | setVerticalSpacing (qreal spacing)
qreal | verticalSpacing () const
void | setSpacing (qreal spacing)
void | setRowSpacing (int row, qreal spacing)
qreal | rowSpacing (int row) const
void | setColumnSpacing (int column, qreal spacing)
qreal | columnSpacing (int column) const
void | setRowStretchFactor (int row, int stretch)
int | rowStretchFactor (int row) const
void | setColumnStretchFactor (int column, int stretch)
int | columnStretchFactor (int column) const
void | setRowMinimumHeight (int row, qreal height)
qreal | rowMinimumHeight (int row) const
void | setRowPreferredHeight (int row, qreal height)
qreal | rowPreferredHeight (int row) const
void | setRowMaximumHeight (int row, qreal height)
qreal | rowMaximumHeight (int row) const
void | setRowFixedHeight (int row, qreal height)
void | setColumnMinimumWidth (int column, qreal width)
qreal | columnMinimumWidth (int column) const
void | setColumnPreferredWidth (int column, qreal width)
qreal | columnPreferredWidth (int column) const
void | setColumnMaximumWidth (int column, qreal width)
qreal | columnMaximumWidth (int column) const
void | setColumnFixedWidth (int column, qreal width)
void | setRowAlignment (int row, Qt::Alignment alignment)
Qt::Alignment | rowAlignment (int row) const
void | setColumnAlignment (int column, Qt::Alignment alignment)
Qt::Alignment | columnAlignment (int column) const
void | setAlignment (QGraphicsLayoutItem *item, Qt::Alignment alignment)
Qt::Alignment | alignment (QGraphicsLayoutItem *item) const
int | rowCount () const
int | columnCount () const
QGraphicsLayoutItem * | itemAt (int row, int column) const
int | count () const
QGraphicsLayoutItem * | itemAt (int index) const
void | removeAt (int index)
void | invalidate ()
void | setGeometry (const QRectF &rect)
QSizeF | sizeHint (Qt::SizeHint which, const QSizeF &constraint=QSizeF()) const

## Constructor & Destructor Documentation

QGraphicsGridLayout | ( | QGraphicsLayoutItem * | parent = `0` | ) |

virtual ~QGraphicsGridLayout | ( |  | ) | `[virtual]`

## Member Function Documentation

void addItem | ( | QGraphicsLayoutItem * | item,
|  | int | row,
|  | int | column,
|  | int | rowSpan,
|  | int | columnSpan,
|  | Qt::Alignment | alignment = `0`
| ) |  |

Search for all occurrences

void addItem | ( | QGraphicsLayoutItem * | item,
|  | int | row,
|  | int | column,
|  | Qt::Alignment | alignment = `0`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 133 of file qgraphicsgridlayout.h.

    { addItem(aitem, arow, acolumn, 1, 1, aalignment); }

void setHorizontalSpacing | ( | qreal | spacing | ) |

Search for all occurrences

qreal horizontalSpacing | ( |  | ) | const

Search for all occurrences

void setVerticalSpacing | ( | qreal | spacing | ) |

Search for all occurrences

qreal verticalSpacing | ( |  | ) | const

Search for all occurrences

void setSpacing | ( | qreal | spacing | ) |

Search for all occurrences

void setRowSpacing | ( | int | row,
|  | qreal | spacing
| ) |  |

Search for all occurrences

qreal rowSpacing | ( | int | row | ) | const

Search for all occurrences

void setColumnSpacing | ( | int | column,
|  | qreal | spacing
| ) |  |

Search for all occurrences

qreal columnSpacing | ( | int | column | ) | const

Search for all occurrences

void setRowStretchFactor | ( | int | row,
|  | int | stretch
| ) |  |

Search for all occurrences

int rowStretchFactor | ( | int | row | ) | const

Search for all occurrences

void setColumnStretchFactor | ( | int | column,
|  | int | stretch
| ) |  |

Search for all occurrences

int columnStretchFactor | ( | int | column | ) | const

Search for all occurrences

void setRowMinimumHeight | ( | int | row,
|  | qreal | height
| ) |  |

Search for all occurrences

qreal rowMinimumHeight | ( | int | row | ) | const

Search for all occurrences

void setRowPreferredHeight | ( | int | row,
|  | qreal | height
| ) |  |

Search for all occurrences

qreal rowPreferredHeight | ( | int | row | ) | const

Search for all occurrences

void setRowMaximumHeight | ( | int | row,
|  | qreal | height
| ) |  |

Search for all occurrences

qreal rowMaximumHeight | ( | int | row | ) | const

Search for all occurrences

void setRowFixedHeight | ( | int | row,
|  | qreal | height
| ) |  |

Search for all occurrences

void setColumnMinimumWidth | ( | int | column,
|  | qreal | width
| ) |  |

Search for all occurrences

qreal columnMinimumWidth | ( | int | column | ) | const

Search for all occurrences

void setColumnPreferredWidth | ( | int | column,
|  | qreal | width
| ) |  |

Search for all occurrences

qreal columnPreferredWidth | ( | int | column | ) | const

Search for all occurrences

void setColumnMaximumWidth | ( | int | column,
|  | qreal | width
| ) |  |

Search for all occurrences

qreal columnMaximumWidth | ( | int | column | ) | const

Search for all occurrences

void setColumnFixedWidth | ( | int | column,
|  | qreal | width
| ) |  |

Search for all occurrences

void setRowAlignment | ( | int | row,
|  | Qt::Alignment | alignment
| ) |  |

Search for all occurrences

Qt::Alignment rowAlignment | ( | int | row | ) | const

Search for all occurrences

void setColumnAlignment | ( | int | column,
|  | Qt::Alignment | alignment
| ) |  |

Search for all occurrences

Qt::Alignment columnAlignment | ( | int | column | ) | const

Search for all occurrences

void setAlignment | ( | QGraphicsLayoutItem * | item,
|  | Qt::Alignment | alignment
| ) |  |

Search for all occurrences

Qt::Alignment alignment | ( | QGraphicsLayoutItem * | item | ) | const

Search for all occurrences

int rowCount | ( |  | ) | const

Search for all occurrences

int columnCount | ( |  | ) | const

Search for all occurrences

QGraphicsLayoutItem* itemAt | ( | int | row,
|  | int | column
| ) |  | const

Search for all occurrences

int count | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

QGraphicsLayoutItem* itemAt | ( | int | index | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

void removeAt | ( | int | index | ) | `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayout.

void setGeometry | ( | const QRectF & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayoutItem.

QSizeF sizeHint | ( | Qt::SizeHint | which,
|  | const QSizeF & | constraint = `QSizeF()`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayoutItem.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsgridlayout.h

QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout
QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout QGraphicsGridLayout